View Issue Details

IDProjectCategoryView StatusLast Update
16479Bug reportsSurvey takingpublic2020-12-28 11:16
Reporteruser225042Assigned To 
PrioritynoneSeverityminor 
Status closedResolutionopen 
Product Version4.3.3 
Summary16479: Answer Options- View is broken in latest master version
DescriptionThe Answer view option should be displayed in a single line like before
Steps To ReproduceCreate a Survey>Create a Group> Create a Question and navigate to answer options
Additional InformationPlease refer the screenshot for more details
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.3.3
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version426
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Activities

user225042

2020-07-09 12:44

 

AnswerOptions_View.png (43,759 bytes)   
AnswerOptions_View.png (43,759 bytes)   
GuernseyResearch

GuernseyResearch

2020-07-15 17:03

reporter   ~58961

I don't think this is actually a bug. This is the new layout for the editor. Just above YOUR red box you see the labels for the three rows below.

One VERY significant improvement is that the editing for the answer options allows for HTML tags.
For example in an array if you want to change the header spacings you can inset code such as:
<span style="white-space: nowrap;">0 - I really</span>
<span style="white-space: nowrap;">hate that one a lot</span>
which will provide headings as shown in the attached.
This allows you to minimize the "auto-hyphenate" of long headings.

You can also add code in the questions section such as:
<span style="color: rgb(255, 0, 0);">RED</span>

This new editor allows for very creative ways to display your questions and answers that was never possible before.
code.jpg (21,036 bytes)   
code.jpg (21,036 bytes)   
gabrieljenik

gabrieljenik

2020-07-28 18:14

manager   ~59119

Last edited: 2020-07-29 16:03

Wasn't able to reproduce it.
image.png (24,166 bytes)   
image.png (24,166 bytes)   
GuernseyResearch

GuernseyResearch

2020-07-28 18:27

reporter   ~59121

Last edited: 2020-07-29 16:03

It appears it was changed in the last update.

user225042

2020-07-29 16:02

  ~59157

Last edited: 2020-07-29 16:03

Yeah, does not appear now. Closing the issue
cdorin

cdorin

2020-12-28 11:16

manager   ~61194

Solved in 4.4.0 RC1

Issue History

Date Modified Username Field Change
2020-07-09 12:44 user225042 New Issue
2020-07-09 12:44 user225042 File Added: AnswerOptions_View.png
2020-07-09 12:44 user225042 Status new => confirmed
2020-07-09 12:44 user225042 Zoho Sprints => |Yes|
2020-07-09 12:44 swendrich Zoho Sprints ID => 14469000000167037
2020-07-15 17:03 GuernseyResearch Note Added: 58961
2020-07-15 17:03 GuernseyResearch File Added: code.jpg
2020-07-28 18:14 gabrieljenik Note Added: 59119
2020-07-28 18:14 gabrieljenik File Added: image.png
2020-07-28 18:27 GuernseyResearch Note Added: 59121
2020-07-29 16:02 user225042 Note Added: 59157
2020-07-29 16:03 swendrich Zoho Sprints Yes => |Yes|
2020-07-29 16:03 swendrich Status confirmed => resolved
2020-12-28 11:16 cdorin Note Added: 61194
2020-12-28 11:16 cdorin Status resolved => closed